Commit e9254a27 authored by Rob Swindell's avatar Rob Swindell 💬
Browse files

Don't run upgrade_to_v320 if user.dat doesn't exist

There's nothing to upgrade if there's no legacy userbase.
parent 6c0e423a
Pipeline #3647 passed with stage
in 6 minutes and 8 seconds
......@@ -234,7 +234,7 @@ if(!upgraded)
js.exec("upgrade_to_v320.js", {});
print("Checking for v3.20 user base");
if(!file_exists(system.data_dir + 'user/user.tab')) {
if(file_exists(system.data_dir + 'user/user.dat') && !file_exists(system.data_dir + 'user/user.tab')) {
var cmdline = system.exec_dir + "upgrade_to_v320";
print("No v3.20 user base found, running " + cmdline);
system.exec(cmdline);
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment